| Kea 3.0.2-git

radius_accounting.h File Reference
`#include <util/csv_file.h>`
`#include <dhcpsrv/lease.h>`
`#include <radius_service.h>`
`#include <radius_request.h>`
`#include <boost/multi_index_container.hpp>`
`#include <boost/multi_index/member.hpp>`
`#include <boost/multi_index/ordered_index.hpp>`
`#include <boost/date_time/gregorian/gregorian_types.hpp>`
`#include <boost/date_time/posix_time/posix_time_types.hpp>`
`#include <mutex>`
Include dependency graph for radius_accounting.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::radius::LeaseTS
| Create timestamp entry. More...
class | isc::radius::RadiusAccounting
| Radius accounting class. More...
class | isc::radius::RadiusAcctEnv
| Class of Radius accounting environments. More...
class | isc::radius::RadiusAcctHandler
| Class of Radius accounting communication handler. More...
struct | isc::radius::TMAddressIndexTag
| Tag for the index for searching by address. More...
struct | isc::radius::TMTimestampIndexTag
| Tag for the index for searching by timestamp. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::radius

## Typedefs
typedef boost::shared_ptr< util::CSVFile > | isc::radius::CSVFilePtr
| Type of pointers to CSV file.
typedef boost::shared_ptr< RadiusAcctHandler > | isc::radius::RadiusAcctHandlerPtr
| Type of pointers to Radius accounting communication handler.
typedef boost::multi_index_container< LeaseTS, boost::multi_index::indexed_by< boost::multi_index::ordered_unique< boost::multi_index::tag< TMAddressIndexTag >, boost::multi_index::member< LeaseTS, const asiolink::IOAddress, &LeaseTS::addr_ > >, boost::multi_index::ordered_non_unique< boost::multi_index::tag< TMTimestampIndexTag >, boost::multi_index::member< LeaseTS, const boost::posix_time::ptime, &LeaseTS::timestamp_ > > > > | isc::radius::TMContainer
| Create timestamp container.
typedef TMContainer::index< TMAddressIndexTag >::type | isc::radius::TMContainerAddressIndex
| First index type in the `TMContainer`.
typedef TMContainer::index< TMTimestampIndexTag >::type | isc::radius::TMContainerTimestampIndex
| Second index type in the `TMContainer`.

## Enumerations
enum | isc::radius::Event { isc::radius::EVENT_CREATE , isc::radius::EVENT_RENEW , isc::radius::EVENT_REBIND , isc::radius::EVENT_EXPIRE , isc::radius::EVENT_RELEASE , isc::radius::EVENT_DECLINE , isc::radius::EVENT_ADD , isc::radius::EVENT_UPDATE , isc::radius::EVENT_DEL }
| Type of accounting events. More...

## Functions
string | isc::radius::eventToText (Event event)
| Translate an event to text.